zabbix_export:
  version: '8.0'
  host_groups:
    - uuid: 60cad5e7a92b4d33afdece925ac571f0
      name: test
  hosts:
    - host: 'Reproduce ZBX-27578'
      name: 'Reproduce ZBX-27578'
      groups:
        - name: test
      items:
        - name: 'Drive Capacity'
          type: DEPENDENT
          key: 'drive.capacity[0]'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.CapacityBytes
          master_item:
            key: 'drive.filter[0]'
        - name: 'Drive Filter'
          type: DEPENDENT
          key: 'drive.filter[0]'
          preprocessing:
            - type: JSONPATH
              parameters:
                - '$.drives[?(@.systemId == ''1'' && @.storageId == ''DE07C000'' && @.Id == ''0'')].first()'
          master_item:
            key: master.json
        - name: 'Master Redfish Data'
          type: TRAP
          key: master.json
          value_type: TEXT
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - 'return ''{"drives":[{"systemId":"1","storageId":"DE07C000","Id":"0","CapacityBytes":8001563222016}]}'';'
